/*
Common Utilities 
*/
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6{
   margin-bottom: 1rem;
}

.btn-outline-info:hover {
  color: #fff;
}

.mb-30{
  margin-bottom: 30px;
}

.mb-35{
  margin-bottom: 35px;
}
.ml-13{
  margin-left:13px;
} 

.btn-outline-primary .badge{
  width: 25px;
  height: 25px;
  line-height: normal;
  text-align: center;
  display: inline-flex;
  justify-content: center;
  align-items: center;
}

.btn-outline-primary:hover .badge, .btn-outline-primary:focus .badge, .btn-outline-primary:active .badge{
  color: #5EB5EC;
  background-color: #fff;
}

/* navbar ------------*/
/* .navbar-light .navbar-nav .nav-link{
   text-transform: capitalize;
} */

.divider-1{
  border-top: 1px solid #000;
}

.rte-container .rte-modern.rte-desktop.rte-toolbar-default{
  min-width:100%;
}
/*
*  Form
*/

.form-group .col-form-label{font-weight:600; padding-top:0;}

.form-check label{ position: relative; padding-left:1.8rem; font-size: 14px; display: inline-block;}
.form-check label::first-letter{
  text-transform: uppercase;
}
.form-check label a{font-size:14px; text-decoration:underline;}

.form-check input[type="radio"]{
    margin-left: 0px; 
    margin-top:7px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 1px;
    height: 1px;
    background: 0 0;
    position: absolute;
    visibility: hidden;
    margin: 0;
    padding: 0;
    border: 0;
}
.form-check label::before{
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
    border-radius: 20px;
    color: #a3a3a3;
    font-size: 20px;
    border: 0;
    position: absolute;
    left: 1px;
    top: 50%;
    transform: translateY(-50%);
}

.form-check input[type="radio"]+label::before{content: '\f1db';}
.form-check input[type="radio"]:checked+label::before{content:'\f192'; color:#0093cf;}

.form-check input[type="checkbox"]{
  position: absolute;
  top: 2px;
  box-sizing: content-box;
  width: 16px;
  height: 16px;
  margin: 0 5px 0 0;
  cursor: pointer;
  -webkit-appearance: none;
  border-radius: .25rem;
  background-color: #fff;
  border: 1px solid rgba(0, 0, 0, 0.25)
}

.form-check input[type="checkbox"]:before {
  content: '';
  display: block;
}

.form-check input[type="checkbox"]:checked{
  background-color: #5EB5EC;
  border-color:#5EB5EC;
}

.form-check input[type="checkbox"]:checked:before {
  width: 6px;
  height: 12px;
  margin: 1px 5px;
  border-bottom: 2px solid #fff;
  border-right: 2px solid #fff;
  transform: rotate(45deg);
}

/* Select box with search filter -------------*/
.selectbox {position:relative; display: block;}

.selectbox select{
  font-size: 16px;
  line-height: 38px;
  color:rgba(119, 119, 119, .8);
  width: 100%;
  min-width: auto;
  padding: 0px 0px 0px 20px;
  outline: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  text-overflow: '';
  text-indent: 0.01px;
  font-weight: 400;
  border:1px solid #ced4da;
}

.selectbox select::-ms-expand {
  display: none;
}
.selectbox::after {
  content:'';
  pointer-events: none;
  position: absolute;
  right: 10px;
  top: 14px;
  display: inline-block;
  width: 8px;
  height: 8px;
  border-right: 1px solid #212529;
  border-top: 1px solid #212529;
  transform: rotate(135deg);
  margin-right: 0.5em;
  margin-left: 1.0em;
}

.selectbox .select2-container--default .select2-selection--single .select2-selection__rendered{
  line-height: 37px;
}

.select2-container--default .select2-search--dropdown .select2-search__field{
  outline: none;
}

.selectbox .select2-container .select2-selection--single,
.selectbox .select2-container .select2-choice{
  line-height: 37px;
  min-height: 38px;
  height: 38px;
  background: #fff;
  background-clip: padding-box;
  border: 1px solid #e9ecef;
  appearance: none;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.selectbox .select2-container-active .select2-choice{
  border: 1px solid #5897fb;
  border-bottom-left-radius: 0px;
  border-bottom-right-radius: 0px;
  box-shadow: none;
}

.selectbox .select2-container .select2-choice .select2-arrow,
.selectbox .select2-container--default .select2-selection--single .select2-selection__arrow{
  display: none;
}

/* #card-report textarea, .textareaWrapper textarea{padding: 15px;} */

.section{
  padding: 20px 0;
}

.embed-responsive{position:relative;display:block;width:100%;padding:0;overflow:hidden}
.embed-responsive::before{display:block;content:""}
.embed-responsive .embed-responsive-item,.embed-responsive embed,.embed-responsive iframe,.embed-responsive object,.embed-responsive video{position:absolute;top:0;bottom:0;left:0;width:100%;height:100%;border:0}
.embed-responsive-21by9::before{padding-top:42.857143%}
.embed-responsive-16by9::before{padding-top:56.25%}
.embed-responsive-4by3::before{padding-top:75%}
.embed-responsive-1by1::before{padding-top:100%}
.close{float:right;font-size:1.5rem;font-weight:700;line-height:1;color:#000;text-shadow:none;opacity:.5}

/*
* Alignment
*/
.absolute-center{
  position: absolute;
  left: 50%;
  top: 50%;
  transform:translate(-50%, -50%);
 
}
.horizontal-center{
  position: absolute;
  left: 50%;
  top: 0;	
  transform:translateX(-50%);
}
.vertical-center{
  position: absolute;
  top: 50%;
  left: 0;	
  transform:translateY(-50%);
}

.overlay{
    position: relative;
}

.overlay::before{
  position: absolute;
  left:0px;
  top:0px;
  width:100%;
  height:100%;
  background:rgba(0,0,0,.7);
  content:'';
  z-index: 1;
}

.figure a.play-btn{
  background: url('../assets/images/play-btn.png') no-repeat;
  background-size: 50px 50px;
  width: 50px;
  height: 50px;
  border-radius: 50%;    
  display: block;
  z-index: 10;
}

.figure a.play-btn:hover, .figure a.play-btn:focus, .figure a.play-btn:active{
  opacity: .5;
}

.modal-body {
  position:relative;
  padding: 1rem;
}
.close {
  position:absolute;
  right:-30px;
  top:0;
  z-index:999;
  font-size:2rem;
  font-weight: normal;
  color:#fff;
  opacity:1;
}

.p-top{
  top: 3px;
}

.list-bullet, .list-dotted{
  padding-left: 15px;
}

.list-bullet li, .list-dotted li{
  position: relative;
}

.list-bullet li::before{
  position: absolute;
  left:-15px;
  top:8px;
  content:'';
  /* background-color: #181b1e; */
  background-color: #3490dc;
  width: 6px;
  height: 6px;
  border-radius: 50%;
}

.list-dotted li::before{
  content: "";
  position: absolute;
  top: 10px;
  left: -15px;
  content:'';
  background-color: #000;
  width: 8px;
  height: 1px;
}

.alert ul{
  padding-left: 15px;
  margin-bottom: 0;
}

/*
*  Box shadow
*/
.box-shadow{
  -moz-box-shadow: 0 0 20px rgba(0, 0, 0, 0.08);
  -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, 0.08);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.08);
}

.box-shadow2{
  box-shadow: 0 3px 6px -4px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
  -webkit-box-shadow: 0 3px 6px -4px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
  -moz-box-shadow: 0 3px 6px -4px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

.box-shadow3{
  -webkit-box-shadow: 0px 0px 8px 0px rgba(209,209,209,1);
  -moz-box-shadow: 0px 0px 8px 0px rgba(209,209,209,1);
  box-shadow: 0px 0px 8px 0px rgba(209,209,209,1);
}

/*
* Table
*/
.table-responsive .container-fluid {
  padding-left: 0;
  padding-right: 0;
}

.table.dataTable thead th{
   border-top: 0px;
}

.table.dataTable thead th, .table.dataTable tr:last-child td{
  border-bottom: 1px solid #dee2e6;
}

.table.style2 tr:first-child th, .table.style2 tr:first-child td{
   border-top: 0;
}

/*
* Accordion
*/
.accordion > .card:not(:last-of-type){
  border-radius: .25rem;
  border-bottom: 1px solid rgba(0, 0, 0, 0.125)
}

.accordion .card:not(:last-child) {
  margin-bottom: .5rem;
}

.accordion .card-header{
   padding: 0;
   margin:0;
}

.accordion .card-header a{
  background: #5EB5EC;
  border-color:#5EB5EC;
  position: relative;
  display: block;
  padding: 0.5rem;
  color:#fff;
  border-radius: .25rem .25rem 0 0;
  /* font-size: 18px; */
  line-height: 1.3;
}

.accordion .card-header a.collapsed{
  border-radius: .25rem;  
  background: #fff;
  border-color:#fff;
  color: #5EB5EC;
}

.accordion .card .list-group a:hover, .accordion .card .list-group a:focus, .accordion .card .list-group a:active,
.accordion .card-header a:hover, .accordion .card-header a:focus, .accordion .card-header a:active{
  text-decoration: none;
}

.card-header .badge{
  font-weight: 400;
  padding-top: 5px;
   display: inline-flex;
   justify-content: center;
   align-items: center;
   color: #fff;
   background-color: #6c757d;
   border-color: #fff;
   font-size: 10px;
   padding: 5px 6px 3px;
}

.accordion .card-header a.collapsed .badge{
  background-color: #6c757d;
  color: #fff;
}

.accordion .card-header .plusminus{
  position: absolute;
  right: 15px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  margin-right: 2rem;
  display: inline-block;
  vertical-align: middle;
  height: 10px;
  width: 10px;
  font-size: inherit;
  margin: 0;
}

.card-header .plusminus::before, .card-header .plusminus::after{
  content: '';
  display: block;
  position: absolute;
  transition: all .2s ease-in-out;
}

.card-header .plusminus::before{
  content: '';
  display: block;
  position: absolute;
  left: 0;
  right: 0;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  border-style: solid;
  border-width: 2px 0 0 0;
}

.card-header .collapsed .plusminus::after{
  left: 50%;
  bottom: 0;
  top: 0;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  border-style: solid;
  border-width: 0 0 0 2px;
}

/* 
.accordion .card-header .btn::before, .accordion .card-header .btn::after{
  position: absolute;
  right: 10px;
  top: 13px;
  font-size: 15px;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  line-height: 1;
}

.accordion .card-header .btn::before{
  content: "\F078";
}  */

.accordion .card-body{
  padding: 0;
}

.accordion .card .list-group a .far, .accordion .card-header a .far{
  color: #6c757d;
}

.accordion:not(.md-accordion) .card .list-group a .fas, .accordion:not(.md-accordion) .card-header a .fas{
  color: #e3342f;
}

@media screen and (max-width:575px){
  .accordion .card-header a{
    font-size: 16px;
  }
}

/*
* Footer
*/
.page-footer{
  /* background-color:#dfe1e2; */
  background-color: #f8fafc;
  padding-top: 35px;
}

.page-footer .logo .img-fluid{
  max-height: 100px;
}

.footer-bottom{
  /* background: #c6c8c9; */
  background: #f8fafc;
  padding-top: 20px;
}

.page-footer h5{
   color: #888;
}

.footer-links li{
   margin-bottom: 10px;
   color: #888;
}

.footer-links li .icon{
  width:16px;
  margin-right: 10px;
}

.footer-links li a{
  text-transform: capitalize;
}

.footer-links.style2 li a{
  position: relative;
  padding-left: 15px;
}

.footer-links.style2 li a::before{
  position: absolute;
  left: 0;
  top:5px;
  content: "\F054";
  font-size: 12px;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  line-height: 1;
}

.footer-links li p{
  margin-bottom: 0ch;
}

.page-footer p, .footer-links li a, .social-links li a, .page-footer a{
  color: #888;
}

.footer-links li a:hover,  .social-links li a:active, .social-links li a:focus{
  color: #5EB5EC;
  text-decoration: none;
}

.social-links li a{
  display: inline-flex;
  justify-content: center;
  align-items: center;
  background-color: #e9ecef;
  color: #888;
  padding: 6px 8px;
  line-height: 1;
  border-radius: .25rem;
  width:30px;
  height: 30px;
}

.social-links li a:hover,  .social-links li a:active, .social-links li a:focus{
  background-color: #5EB5EC;
  color: #fff;
  text-decoration: none;
}

@media screen and (min-width:576px){
  .footer-links.style2 li{
    display: inline-block;
    width: calc(100%/2 - 7px);
    margin-right: 10px;
  }

  .footer-links.style2 li:nth-child(2n){
    margin-right: 0px;
  }
}

@media screen and (max-width:767px){
  .footer-bottom{
    text-align: center;
  }
}

/*  ==========================================================================
	  Book Review Page
    ========================================================================== */
    .product-info  h2 > span{
        /* display: block; */
        margin-bottom: 5px;
    }

    .product-info .author{
      color: #7f7f7f;
      font-size: 15px;
    }

    .product-info .title{
      border-bottom: 2px solid #212529;
      display: inline-block;
    }

    .product-info .title a{
       color: #212529;
    }

    .product-info .title a:hover, .product-info .title a:focus, .product-info .title a:active{
      text-decoration: none;
    }

    .product-info .bookdescription .morecontent{
       display: block;
    }

    .product-info .bookdescription .morecontent .morelink{
      float: right;
   }

    .product-info .button2 .img-fluid{
       width: 95px;
    }

    .reviewed-books .accordion ul li a{
      color: #000;
    }

    .product-details .category{
      background-color: #5EB5EC;
      border: 1px solid #212529;
      border-radius: .25rem;
      display: inline-block;
      padding: 3px 10px;
      color: #fff;
    }

    .product-details .tags a{
      border: 1px solid #212529;
      display: inline-block;
      padding: 3px 10px;
      color:#212529;
      border-radius: .25rem;
      margin: 0 5px 5px;
    }

    .product-details .tags a:hover,  .product-details .tags a:focus,  .product-details .tags a:active{
      text-decoration: none;
      background-color: #212529;
      color: #fff;
    }

    .rating li{
      display: inline-block;
      vertical-align: middle;
      margin-right: 0;
   }
   
   .rating a {
      color: #f8c323;
      font-size: 16px;
   }

   .reviews  .rating a {
      font-size: 16px;
   }
      
   .rating a:hover,
   .rating a:focus,
   .rating a:active{
    color: #f8c323;
   }
   
   .review-rating a {
    font-size: 13px;
  }  

  .rating-status span{
    position: relative;
    top: 3px;
  }

    .icon-star{
      width:123px;
      height: 32px;
      display: inline-block;
      background-size: 480px 29px;
      background-repeat: no-repeat;
      background-image: url('../assets/images/star-sprite.png');
    }
    
    .icon-star.star-5{background-position-x: 0px;}
    .icon-star.star-4{background-position-x: -25px;}
    .icon-star.star-3{background-position: -49px;}
    .icon-star.star-2{background-position: -72px}
    .icon-star.star-1{background-position:-99px; width:119px;}
    .icon-star.star-0{background-position:-123px; width: 118px;}
    .icon-star.star-4-5{background-position: -240px;}
    .icon-star.star-3-5{background-position: -264px;}
    .icon-star.star-2-5{background-position: -288px;}
    .icon-star.star-1-5{background-position: -313px;}
    .icon-star.star-0-5{background-position: -339px; width: 117px;}

      .rating-status span{
        font-weight: 700;
      }

      .star-added-1{
          color: #ff6161;
      }

      .star-added-2{
          color: #ff9f00;
        }

      .star-added-3, .star-added-4, .star-added-4{
          color: #388e3c;
      }
  
    .rating-small{
       position: relative;
       top: 3px;
    }

    .icon-star-small{
      width:96px;
      height: 17px;
      display: inline-block;
      background-size: 385px 17px;
      background-repeat: no-repeat;
      background-image: url('../assets/images/star-sprite-small.png');
    }
    
    .icon-star-small.star-5{background-position-x: 0px;}
    .icon-star-small.star-4{background-position-x: -16px;}
    .icon-star-small.star-3{background-position: -38px;}
    .icon-star-small.star-2{background-position: -56px}
    .icon-star-small.star-1{background-position:-77px;}
    .icon-star-small.star-0{background-position:-95px;}
    .icon-star-small.star-4-5{background-position: -191px;}
    .icon-star-small.star-3-5{background-position: -210px;}
    .icon-star-small.star-2-5{background-position: -230px;}
    .icon-star-small.star-1-5{background-position: -250px;}
    .icon-star-small.star-0-5{background-position: -270px;}

    .author-publisher li{
      position: relative;
      display: inline-block;
      color:#7f7f7f;
      font-size: 16px;
    }

    .author-publisher li:not(:last-child){
      margin-right: 10px;
      padding-right: 15px;
    }

    .author-publisher li:not(:last-child)::after{
      position: absolute;
      right: 0px;
      top: 50%;
      transform: translateY(-50%);
      content: '';
      width:2px;
      height: 14px;
      background-color: #000;
    
    }

    .reviews .inner-block{
      border: 1px solid  #7f7f7f;
      padding:0 15px 0;
    }

    .heading-style{
      background-color: #5EB5EC;
      border-radius: .25rem;
      padding:5px 8px;
      display: inline-block;
      color: #fff;
      margin-bottom: 0;
    }

    .reviews .heading-style{
      position: relative;
      top: -17px;
    }

    .divider-horizontal{
      position: relative;
    }

    .divider-horizontal::after{
       position: absolute;
       left:0;
       bottom: -10px;
       content:'';
       background-color: #212529;
       width:100%;
       height: 1px;
       opacity: .3;
    }

    /*
    * Gallery
    */
    .gallery ul li{
      margin-bottom: 10px;
      margin-left: -2px;
      margin-right: -2px;
	  overflow: hidden;
	  position: relative;
	  cursor: default;
   } 

   .gallery ul li > a{
       display: block;
   }

  .gallery ul li > a.add-image{
	  min-height:190px;
	  width: 100%;
	  border: 1px solid #ddd;
	  border-radius: .25rem;
	  display: flex;
      justify-content: center;
      align-items: center;
	  color: #333;
   }

   .gallery ul li .img-fluid{
       border-radius: .25rem;
       width:100%;       
       height: 100%;
       max-height: 190px;
       min-height: 190px;
       object-fit: cover;
       object-position: center center; 
   }
   
   .gallery .overlay{
	    width: 100%;
		height: 100%;
		position: absolute;
		overflow: hidden;
		top: 0;
		left: 0;
		opacity: 0;
		background-color: rgba(0, 0, 0, 0.7);
		-webkit-transition: all .4s ease-in-out;
		transition: all .4s ease-in-out;
		display: flex;
		justify-content: center;
		align-items:center;
    border-radius: .25rem;
   }

   .gallery .overlay::before{
    width: 0;
    height: 0;
   }
   
   .gallery ul li:hover .overlay{
	   opacity: 1;
   }
   
   /*  .gallery .overlay{
		-webkit-transition: all .2s ease-in-out;
		transition: all .2s ease-in-out;
		padding: 0;
		margin: auto;
		position: absolute;
		top: 50%;
		left: 0;
		right: 0;
		transform: translateY(-50%) translateZ(0);
		-webkit-transform: translateY(-50%) translateZ(0);
		-ms-transform: translateY(-50%) translateZ(0);
	 }*/

   .gallery ul{
           margin: 0 -5px;
       }

       .gallery ul li{
           margin: 0 5px;
           display: inline-block;
           vertical-align: top;
           width: calc(100%);
           text-align: center;
        }

    #upload-image-paste {
      border: 1px solid black;
	  min-height:250px;
    }

    #upload-image-paste:focus-visible {
        outline: none;
    }

	.message-box .message-widget a .user-img img{
		width:40px;
		height:40px;
	}
	
   @media screen and (min-width:376px){
      .gallery ul li{
        width: calc(100%/2 - 13px);
      }
    }

    @media screen and (min-width:576px){
      .gallery ul li{
         width: calc(100%/3 - 13px);
      }
  }

   @media screen and (min-width:768px){
       .gallery ul li{
          width: calc(100%/5 - 13px);
       }
   }

   /*
   * Comments and Rating
   */
   .form-group label > .count{
      position: absolute;
      right: 10px;
      bottom: 3px;
   }

   .comments-area .comment{
       margin-bottom: 10px;
   }

   .comment-header .profile-content, .comment-header .review-rating, .comment-header .comment-date{
       display: inline-block;
       font-size: 15px;
   }

   .comment-header .profile-content, .comment-header .review-rating{
       margin-right: 10px;
   }

   .comment-header .comment-date{
      position: relative;
      top:2px;
      font-weight: 600;
      font-size: 12px;
   }

   .comment-header .profile-content a{
      font-weight: 700;
   }

   .add-rating a{
     display: inline-block;
   }

   .comment-text p{
     margin-bottom: 5px;
   }
   
   .comment-text .list-unstyled{
      counter-reset: item;
      margin-left: 0;
      padding-left: 0;
    }

    .comment-text .list-unstyled li{
      display: block;
      margin-bottom: .5em;
      margin-left: 1rem;
    }

  .comment-text .list-unstyled li::before{
    display: inline-block;
    content: counter(item) ") ";
    counter-increment: item;
    width: 1.5rem;
    margin-left: -1rem;
  }
  
.comments nav svg{
   width: 1rem;
}

.comments nav .flex.justify-between, .comments nav .hidden > div:first-child{
  display: none;
}

.comments nav{
  text-align: center;
}

/*  ==========================================================================
	  Search Book Review Page
    ========================================================================== */
  .reviewed-books h4{
     margin-bottom: .5rem;
  }

  .search-form{
    display: flex;
    justify-content: center;
  }

  .search-form .search-input{
     width: calc(100% - 100px) !important;
     margin-right: 10px;
     position: relative;
  }

  .search-form .search-input .easy-autocomplete.eac-square input{
    min-width: 100%;
    padding-right: 16px;
    font-family: "Nunito", "Helvetica Neue", Helvetica, Arial, sans-serif;
  }

  .search-form .search-input .easy-autocomplete.eac-square{
    width: 100% !important;
    font-family: "Nunito", "Helvetica Neue", Helvetica, Arial, sans-serif;
  }
  
  .search-form .search-btn{
    width: calc(100px);
    position: relative;
 }

 .search-form .search-btn .btn{
    height: 42px;
    font-size: 15px;
  }

  .search-form .search-input .form-control{
    padding-left: 40px;
    border-radius: .25rem;
    font-style: normal;
    font-family: "Nunito", "Helvetica Neue", Helvetica, Arial, sans-serif;
  }

  .search-form .search-input .form-control::-webkit-input-placeholder {
    font-family: "Nunito", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-style: normal;
  }
  
  .search-form .search-input .form-control::-moz-placeholder {
    font-family: "Nunito", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-style: normal;
  }
  
  .search-form .search-input .form-control:-ms-input-placeholder {
    font-family: "Nunito", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-style: normal;
  }
  
  .search-form .search-input .form-control::-ms-input-placeholder {
    font-family: "Nunito", "Helvetica Neue", Helvetica, Arial, sans-serif;
     font-style: normal;
  }
  
  .search-form .search-input .form-control::placeholder {
    font-family: "Nunito", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-style: normal;
  }

  .search-form .search-input::before{
    position: absolute;
    left: 15px;
    top: 12px;
    content: "\F002";
    font-size: 16px;
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
    color:#7f8c8d;
    z-index: 1;
  }


/*  ==========================================================================
	  About Us Page
    ========================================================================== */
    /* .avatar .img-fluid{
      border: 2px solid #212529;
      width: 250px;
      height: 250px;
    } */

    
/*  ==========================================================================
	  Contact Us Page
    ========================================================================== */
    .contact-us p{
      font-size: 18px;
    }

/*  ==========================================================================
	  Report Page
    ========================================================================== */
    .post .img-fluid{
      display: block;
      width: 100%;
    }
/*
    .article-info{
      margin-bottom: 0;
    }
    */

    .article-info li{
       display: inline-block;
       font-size: 12px;
    }

    .article-info li:not(:last-child){
      margin-right: 5px;
    }

    .article-info .createdby{
       font-weight: 700;
    }
    
    .article-list .post{
      margin-bottom: 20px;
    }

    .article-list .post .content{
      height: 210px;
      overflow: hidden;
    }

    .article-list .post .content.more{
      height: 100%;
      overflow: auto;
    }

    .article-list .post p{
      font-size: 13px;
    }

    .article-list .post .inner-wrap{
      padding: 15px;
      background-color: #fff;
      background-clip: border-box;
      border: 1px solid rgba(0, 0, 0, 0.125);
      border-radius: 0.25rem;
      position: relative;
   } 

   .article-list .post .inner-wrap h6{
     font-size: 14px;
    font-family: "Open Sans", Arial, sans-serif;
   }

   .article-list .post .inner-wrap .btn{
      width:38px;
   }
   
   .article-list .post .content:not(.more) + .btn-wrap{
    box-sizing: border-box;
    position: absolute;
    width: 100%;
    height: 100px;
    left:0;
    bottom: 0px;
    background: linear-gradient(rgba(255, 255, 255, 0) 0%, rgb(255, 255, 255) 100%);
    display: flex;
    justify-content: center;
    align-items: center;
  }

   .article-list h3 a{
       display: inline-block;
   }
   
   .article-list .post:not(:last-child){
        margin-bottom: 1rem;
    }

    .blog-posts nav svg{
      width:30px;
    }

    .article-list .post .inner-wrap img{
      max-width: 100% !important;
    }

    .sidebar .list-unstyled .icon{
      position: absolute;
      left: 15px;
      top: 16px;
    }

    .sidebar .list-unstyled .list-group-item{
       padding-left: 35px;
    }

    .sidebar .btn-outline-primary .icon2{
        position: relative;
        left: 0px;
        background-color: #3490dc;
        width: 18px;
        height: 18px;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        color: #fff;
        font-size: 11px;
        margin-right: 5px;
    }

   .sidebar .btn-outline-primary:hover .icon2, 
    .sidebar .btn-outline-primary:focus .icon2, 
    .sidebar .btn-outline-primary:active .icon2{
      background-color: #fff;
      color: #3490dc;
    } 

   .list-unstyled.style2 .list-group-item .btn-group2{
       width:72px;
       text-align: right;
    }
    
    @media screen and (min-width:768px){
    .post .img-fluid{
        max-height: 150px;
      }
    }

    @media screen and (min-width:992px){
        .article-list{
            display: flex;
            flex-wrap: wrap;
            margin-left: -15px;
            margin-right: -15px;
        }

        .article-list .post{
          padding-left: 15px;
          padding-right: 15px;
          width: 33.333%;
      }
  }

   @media screen and (min-width:1200px){
        .article-list .post{
            width: 25%;
        }
    }

  .text-section .h6, .text-section p{
    margin-bottom: 1rem;
  }

  .text-section p{
    line-height: 1.3;
  }

/*  ==========================================================================
	  File Create Page
    ========================================================================== */
    .upload-file {
      position: relative;
      display: inline-block;
      cursor: pointer;
      height: 2.5rem;
    }
    .upload-file input {
      min-width: 14rem;
      margin: 0;
      filter: alpha(opacity=0);
      opacity: 0;
    }
    .file-custom {
      position: absolute;
      top: 0;
      right: 0;
      left: 0;
      z-index: 5;
      height: 2.5rem;
      padding: .5rem 1rem;
      line-height: 1.5;
      color: #555;
      background-color: #fff;
      border: .075rem solid #ddd;
      border-radius: .25rem;
      box-shadow: inset 0 .2rem .4rem rgba(0,0,0,.05);
      -webkit-user-select: none;
         -moz-user-select: none;
          -ms-user-select: none;
              user-select: none;
    }
    .file-custom:after {
      content: "Choose file...";
    }
    .file-custom:before {
      position: absolute;
      top: -.075rem;
      right: -.075rem;
      bottom: -.075rem;
      z-index: 6;
      display: block;
      content: "Browse";
      height: 2.5rem;
      padding: .5rem 1rem;
      line-height: 1.5;
      color: #555;
      background-color: #eee;
      border: .075rem solid #ddd;
      border-radius: 0 .25rem .25rem 0;
    }
    
    /* Focus */
    .upload-file input:focus ~ .file-custom {
      box-shadow: 0 0 0 .075rem #fff, 0 0 0 .2rem #0074d9;
    }
    
.btn-close {
  box-sizing: content-box;
  width: 1em;
  height: 1em;
  padding: 0.25em 0.25em;
  color: #000;
  background: transparent url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e") center/1em auto no-repeat;
  border: 0;
  border-radius: 0.25rem;
  opacity: 0.5; }
  .btn-close:hover {
    color: #000;
    text-decoration: none;
    opacity: 0.75; }
  .btn-close:focus {
    outline: 0;
    box-shadow: transparent;
    opacity: 1; }
  .btn-close:disabled, .btn-close.disabled {
    pointer-events: none;
    user-select: none;
    opacity: 0.25; }

.btn-close-white {
  filter: invert(1) grayscale(100%) brightness(200%); }
/*******************
Form validation error 
******************/
.error .help-block {
  color: #e46a76; }

/*******************
  /*Form Validation*/
.help-block ul {
  padding: 0px;
  margin: 0px; }
  .help-block ul li {
    list-style: none; }

.error .controls .form-control{
  border-color: #e46a76; }

.validate .controls .form-control {
  border-color: #00c292; }

/*Form Input States*/
.form-control-success,
.form-control-warning,
.form-control-danger {
  padding-right: 2.25rem;
  background-repeat: no-repeat;
  background-position: center right 0.5625rem;
  -webkit-background-size: 1.125rem 1.125rem;
  background-size: 1.125rem 1.125rem; }

.has-success .form-control-feedback,
.has-success .form-control-label,
.has-success .col-form-label,
.has-success .form-check-label,
.has-success .custom-control {
  color: #00c292; }

.has-success .form-control {
  border-color: #00c292; }

.has-success .input-group-addon {
  color: #00c292;
  border-color: #00c292; }

.has-success .form-control-success {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3E%3Cpath fill='%235cb85c' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3E%3C/svg%3E"); }

.has-warning .form-control-feedback,
.has-warning .form-control-label,
.has-warning .col-form-label,
.has-warning .form-check-label,
.has-warning .custom-control {
  color: #fec107; }

.has-warning .form-control {
  border-color: #fec107; }

.has-warning .input-group-addon {
  color: #fec107;
  border-color: #fec107; }

.has-warning .form-control-warning {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3E%3Cpath fill='%23f0ad4e' d='M4.4 5.324h-.8v-2.46h.8zm0 1.42h-.8V5.89h.8zM3.76.63L.04 7.075c-.115.2.016.425.26.426h7.397c.242 0 .372-.226.258-.426C6.726 4.924 5.47 2.79 4.253.63c-.113-.174-.39-.174-.494 0z'/%3E%3C/svg%3E"); }

.has-danger .form-control-feedback,
.has-danger .form-control-label,
.has-danger .col-form-label,
.has-danger .form-check-label,
.has-danger .custom-control {
  color: #e46a76; }

.has-danger .form-control {
  border-color: #e46a76; }

.has-danger .input-group-addon {
  color: #e46a76;
  border-color: #e46a76; }

.has-danger .form-control-danger {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23d9534f' viewBox='-2 -2 7 7'%3E%3Cpath stroke='%23d9534f' d='M0 0l3 3m0-3L0 3'/%3E%3Ccircle r='.5'/%3E%3Ccircle cx='3' r='.5'/%3E%3Ccircle cy='3' r='.5'/%3E%3Ccircle cx='3' cy='3' r='.5'/%3E%3C/svg%3E"); }

 /*  ==========================================================================
	  Blog Page
    ========================================================================== */
    .blog-posts .post:not(:last-child){
       margin-bottom: 1.5rem;
    }

    .post-title{
      margin-bottom: .5rem;
      color:#000;
    }

    .post-title a{
      color:#212529;
    }

    .post-meta, .post-meta a, .post-meta i {
        color: #aaa;
    }

    .post-meta a:hover, .post-meta a:focus, .post-meta a:active{
      text-decoration: none;
    }

    .post-content p{
      font-size: 14px;
    }

    .post-meta{
      margin-bottom: .5rem;
    }

    .post-meta.list-unstyled li{
      position: relative;
      display: inline-block;
    }
    
    .post-meta.list-unstyled li:not(:last-child){
      margin-right: .3rem;
      padding-right: .5rem;
    }

    .post-meta.list-unstyled li:not(:last-child):after{
      position: absolute;
      right:0;
      top: 50%;
      transform: translateY(-50%);
      content: '';
      background-color: #aaa;
      width:2px;
      height: 15px;
    }


    .widget:not(:last-child){
      margin-bottom: 1.5rem;
    }

    .widget h4{
      margin-bottom: .5rem;
    }

    .post-list li:not(:last-child){
      margin-bottom: .5rem;
    }

    .post-list li a{
      color: #777;
    }

    .post-list li a:hover, .post-list li a:focus, .post-list li a:active{
      color: #1d68a7;
    }
    
    @media screen and (min-width:768px){
      .blog-posts .post{
         display: flex;
      }

     .post .post-thumb{
         width: 150px;
         margin-right: 20px;
      }

      .post .post-content{
        width: calc(100% - 170px);
      }
    }

    @media screen and (max-width:767px){
      .post .post-thumb{
        margin-bottom: 20px;
      }
    }
     /* ----------blog------ */
     .blog-posts nav svg{
      width: 1rem;
   }
    .blog-posts nav .flex.justify-between, .blog-posts nav .hidden > div:first-child{
      display: none;
    }
    
    .blog-posts nav{
      text-align: center;
    }

    .post-single .img-fluid{
      display: block;
      margin-bottom: 20px;
    }

    /* Sidebar post ------------------*/
    .widget-post .post:not(:last-child){
       margin-bottom: .5rem;
    }

    .widget-post .post h5{
        margin-bottom: 0;
        font-size: 17px;
        font-weight: 500;
    }

    .widget-post .post h5 a{
      color: #212529;
    }

    .widget-post .post ul li{
      display: inline-block;
      font-size: 13px;
      color: #aaa;
    }

    .widget-post .post ul li a{      
      color: #777;
    }

    .widget-post .post ul li:not(:last-child){
      margin-right: .5rem;
    }

    

    .tagstitle {
        float: left;
        margin: 0 10px 0 0;
    }

    .tags a {
      font-size: 10px;
      background: #ccc;
      line-height: 100%!important;
      padding: 8px;
      margin-bottom: 5px;
      color: #fff;
      background-color: #aaa;
      border-radius: 3px; 
      -webkit-border-radius: 3px;
      text-align: center;
      text-transform: uppercase;
      text-decoration: none;
      transition: .4s;
      display: inline-block;
  }
      
  .tags a:hover {
      color: #fff;
      background: #666;
      transition: .4s;
  }
 
  .articalreadmore{
    display: inline-block;
    width: 250px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

.articalreadmore + a {
  display: inline-block;
  vertical-align: top;
  margin-top: -1px;
}

.accordion .card-header a.primarybutton
{
  color: #fff;
  background-color: #227dc7;
  border-color: #2176bd;
}

/*-- Report Page --*/

.report-desc-container .report-desc-button a:hover,
.report-desc-container .report-desc-button a:focus,
.report-desc-container .report-desc-button a:active{
  text-decoration: none;
}

@media screen and (min-width:1200px){
  .report-desc-container{
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .report-desc-container .report-desc{
    width: calc(100% - 170px);
  }

  .report-desc-container .report-desc-button{
     width: 170px;
  }
  .copy-text-container{
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .copy-text-container .copy-text{
     margin-right: 20px;
  }

  .copy-text-button{
    width: 142px;
  }

  .copy-text-button.alt{
    width: 158px;
  }
}

@media screen and (min-width:1367px){
  .copy-text-container{
    justify-content: space-around;
  }

  .copy-text-container .copy-text{
    margin-right: 0px;
 }
}


@media screen and (max-width:1199px){
  .report-desc-container .report-desc{
    margin-bottom: 10px;
  }
}

@media screen and (max-width:991px){
  .copy-text-container .copy-text{
    margin-bottom: 1rem;
  }

  .copy-text-container{
    text-align: center;
  }

  .copy-text-button .btn{
     display: block;
     margin:0 auto 1rem;
  }

  .copy-text-button .btn + .btn{
    margin-bottom: 0;
  }
  
  .copy-text-button.alt .btn{
    margin-bottom:0;
  }
}
.vsmallfont
{
  font-size: 13.90px !important;
}

.skipbutton{
  margin: -21px 0px 2px 11px;
}
.darkgray{
  color: darkgray;
}